Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(57)

Issue 2568973003: Script for summarizing Windows binary section sizes (Closed)

Created:
2 years, 3 months ago by brucedawson
Modified:
2 years, 3 months ago
Reviewers:
stanisc
CC:
chromium-reviews
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Script for summarizing Windows binary section sizes When trying to do build-size optimizations it is handy to be able to easily measure progress. This script summarizes the memory and file sizes of each PE (Portable Executable) section and can print the differences between two versions of the same binary. This tool is mostly used to measure progress, but can also be used to help understand where a regression has come from - what section has grown larger. BUG=630755 Committed: https://crrev.com/bd1071cd2d2b9b79a849e3c82857c552fb31e7bb Cr-Commit-Position: refs/heads/master@{#438366}

Patch Set 1 #

Total comments: 6

Patch Set 2 : Code review tweaks #

Unified diffs Side-by-side diffs Delta from patch set Stats (+139 lines, -0 lines) Patch
A tools/win/pe_summarize.py View 1 1 chunk +139 lines, -0 lines 0 comments Download

Messages

Total messages: 16 (10 generated)
brucedawson
Another script for investigating binary size regressions. PTAL when you have a chance.
2 years, 3 months ago (2016-12-12 21:25:10 UTC) #3
stanisc
lgtm with a couple of questions https://codereview.chromium.org/2568973003/diff/1/tools/win/pe_summarize.py File tools/win/pe_summarize.py (right): https://codereview.chromium.org/2568973003/diff/1/tools/win/pe_summarize.py#newcode68 tools/win/pe_summarize.py:68: vs_dir = r'C:\Program ...
2 years, 3 months ago (2016-12-13 22:58:54 UTC) #7
brucedawson
https://codereview.chromium.org/2568973003/diff/1/tools/win/pe_summarize.py File tools/win/pe_summarize.py (right): https://codereview.chromium.org/2568973003/diff/1/tools/win/pe_summarize.py#newcode68 tools/win/pe_summarize.py:68: vs_dir = r'C:\Program Files (x86)\Microsoft Visual Studio 14.0' I'm ...
2 years, 3 months ago (2016-12-14 00:30:23 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2568973003/20001
2 years, 3 months ago (2016-12-14 00:30:53 UTC) #11
commit-bot: I haz the power
Committed patchset #2 (id:20001)
2 years, 3 months ago (2016-12-14 00:41:46 UTC) #14
commit-bot: I haz the power
2 years, 3 months ago (2016-12-14 00:43:43 UTC) #16
Message was sent while issue was closed.
Patchset 2 (id:??) landed as
https://crrev.com/bd1071cd2d2b9b79a849e3c82857c552fb31e7bb
Cr-Commit-Position: refs/heads/master@{#438366}

Powered by Google App Engine
This is Rietveld 408576698